<div class="container-fluid">
    <div class="p-t-30">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <div class = "row" >
                            <div class ="col-xl-4">
                                <h5 class="card-header-text">product List</h5>
                            </div>
                            <div class ="col-xl-8">
                                <div class = "dropdown-primary dropdown f-right" >
                                    <button type="button" class="btn btn-inverse-primary waves-effect waves-light  dropdown-toggle" data-toggle="dropdown" data-placement="top" title="" data-original-title=".btn-inverse-primary">Export
                                    </button>
                                    <div class = "dropdown-menu dropdown-menu-right" role = "menu">
                                        <%= link_to 'CSV', products_path(format: :csv, status: params[:status]), class: 'dropdown-item waves-light waves-effect' %>
                                        <%= link_to 'PDF',products_path(format: :pdf, status: params[:status]), class: 'dropdown-item waves-light waves-effect' %>
                                    </div>
                                </div>
                                <%= link_to new_product_path, class: "btn btn-primary waves-effect waves-light f-right m-r-20 d-inline-block" do %>
                                    <i class="icofont icofont-plus m-r-5"></i> ADD New
                                <% end %>
                         
                            </div>
                        </div>
                        <br />
                        <div class="row">
                            <%= form_for OpenStruct.new(params[:search]), as: :search, url: search_products_path, method: :get do |f| %>
                                <div class="col-xl-6 f-right">
                                    <%= f.text_field :query %>
                                    <%= submit_tag "Search"%>
                                </div>
                            <% end %>
                        </div>
                    </div>
                    <div class="row">
                        <% if @products.present? %>
                            <div class="table-content p-l-30 p-r-30">
                                <div class="project-table">
                                    <div id="e-product-list_wrapper" class="dataTables_wrapper form-inline dt-bootstrap4 no-footer">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <table id="e-product-list" class="table table-striped dt-responsive nowrap dataTable no-footer dtr-inline" width="100%" cellspacing="0" role="grid" style="width: 100%;">
                                                    <thead>
                                                        <tr role="row">
                                                            <th> Name </th>
                                                            <th>Asset type</th>
                                                            <th>Product</th>
                                                            <th>Asset Tag</th>
                                                            <th>Department</th>
                                                            <th>Actions</th>
                                                            
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <% @products.each do |product| %>

                                                            <tr>
                                                                <td><%= product.name %></td>
                                                                <td>
                                                                    <%= link_to product_path(product) do %>
                                                                        <%= product.asset_type %>
                                                                    <% end %>
                                                                </td>
                                                                <td><%= product.brand %></td>
                                                                <td><%= product.asset_tag %></td>
                                                                <td><%= product.assignment.try :department %></td>
                                                                <td><%= link_to edit_product_path(product) do %> 
                                                                <i class="icofont icofont-edit"></i><% end %> 
                                                                &nbsp;&nbsp;&nbsp;&nbsp;
                                                                <%= link_to product_path(product),style: 'color:#373a3c;',  method: :delete, data: { confirm: "You sure?"  } do %>
                                                                <i class="icofont icofont-ui-delete"></i><% end %></td>
                                                            </tr>
                                                        <% end %>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <% else %>
                            <div class="card-header">
                              <center class="p-t-50 p-b-50">
                                Sorry you don't have any Products
                                <br />
                                <br />
                              </center>
                            </div>
                        <% end %>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

                                                
                                                
                                                
                                                
                                                
                                                
                                                
                                                
                                                
                                                
                                                
                                                
                                                
                                                
                                                
                                                
                                                